Bug 8911

Summary: docs/history.txt file missing for about.pl
Product: Koha Reporter: Mark Tompsett <mtompset>
Component: OPACAssignee: Owen Leonard <oleonard>
Status: CLOSED FIXED QA Contact:
Severity: minor    
Priority: P5 - low CC: bgkriegel, gmcharlt, katrin.fischer, m.de.rooy, robin, tomascohen
Version: master   
Hardware: All   
OS: All   
See Also: http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=10915
Change sponsored?: --- Patch complexity: Trivial patch
Documentation contact: Documentation submission:
Text to go in the release notes:
Version(s) released in:
Attachments: Bug 8911 - history.txt file missing for about.pl
Bug 8911 - history.txt file missing for about.pl
[PASSED QA] Bug 8911 - history.txt file missing for about.pl

Description Mark Tompsett 2012-10-12 07:05:33 UTC
When opening about, three error log entries were triggered. Two were silent warnings, and an entry caused by this file not being there.

Upon further research, I discovered that the entire docs directory was not in /usr/share/koha/intranet/cgi/docs as it is expected by the about.pl module. I copied the docs directory from the tarball, and the error disappeared.

I believe it is a packaging issue which should be fixed on a forward basis.
Comment 1 Mark Tompsett 2012-10-12 07:07:12 UTC
Assigned to Robin, as per his instructions.
Comment 2 Robin Sheat 2012-11-07 04:20:18 UTC
So, this appears to be a larger issue: if I do a makefile install, history.txt isn't installed anywhere.
Comment 3 Tomás Cohen Arazi 2013-07-02 21:46:00 UTC Comment hidden (obsolete)
Comment 4 Chris Cormack 2013-07-07 08:25:38 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2013-07-14 08:10:53 UTC
Robin, could you take a look at this please? :)
Comment 6 Katrin Fischer 2013-07-21 08:54:07 UTC
Created attachment 19827 [details] [review]
[PASSED QA] Bug 8911 - history.txt file missing for about.pl

This patch makes Makefile.PL put the history.txt file in the right places
depending on the chosen setup layout, adds a reference to that place in
koha-conf.xml (and debian template version), and finally tweaks about.pl to
use it.

To test, apply the patch and verify that perl Makefile.PL runs fine, and installing in
 - dev
 - single
 - standard
layouts works as expected. Then go to the about.pl page and see if Koha's history shows there.

Then, build your packages and test on your newly created instances.

Regards
To+

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Comment 7 Galen Charlton 2013-07-22 14:44:19 UTC
Pushed to master.  Thanks, Tomás!
Comment 8 Tomás Cohen Arazi 2013-07-22 15:05:31 UTC
This patch has been pushed to 3.12.x, will be in 3.12.2.

Added a followup that advertises the change for people updating to add the line to koha-conf.xml manually.
Comment 9 Bernardo Gonzalez Kriegel 2013-08-04 19:59:57 UTC
Pushed to 3.10.x, will be in 3.10.10
Comment 10 Marcel de Rooy 2013-09-19 11:40:34 UTC
When just upgrading your dev install, you now lose the contents of the timeline page on about.
With warnings like:

about.pl: Use of uninitialized value $docdir in string at /usr/share/koha/testclone/about.pl line 152.

about.pl: readline() on closed filehandle $file at /usr/share/koha/testclone/about.pl line 158.
Comment 11 Marcel de Rooy 2013-09-19 12:28:25 UTC
Please see bug 10915